Migration Tool for OwnCloud 10.0.2


#1

Hello,

I am using OwnCloud 10.0.2. I want to migrate to NextCloud. I downloaded migrator/index.php, moved it to /updater directory. When I try to migrate it gives an error.

Initializing
Current version is 10.0.2.
Could not determine migration path to Nextcloud.

Does migration tool support OwnCloud 10.0.2 ? If it does not how can I migrate to NextCloud ?

Thanks.


#2

I refer to the topic: Migrate owncloud 10 to nextcloud 12

The newest ownCloud versions are not yet supported for migration, but testing and fix is on the way.

You could support the process by manually change the version string in your config.php to 10.0.0 which should enable the migration to Nextcloud 12 for you. But as the database migration depends on the version string, it might left you with broken databases. So do a full backup, especially database dump and check the functionality carefully after migration. The results might help the developers to fix migration if necessary.

Or to stay safe just wait for officially enabled migration and do not update you ownCloud in between in case.


#3

I prefer to stay safe for now. I’ll wait for new migration tool. I hope it won’t take long time :slight_smile:

Thank you.


#4

Hey guys, I am in the same situation right now. I’m waiting patiently for you to test and release :slight_smile:

When I check for a custom cloud, I came across OwnCloud first and uploaded nearly 100GB file, later I found you, but it was too late for a new installation. That’s why, please hurry up :slight_smile:

Cheers and please keep up the good work. I do appreciate all your valuable efforts.


#5

Hi everyone again,

I couldn’t resist my curiosity and replaced config.php;

‘version’ => ‘10.0.2.1’, to ‘version’ => ‘10.0.0.0’

Then started updater. It worked and it said migration is successful. Disabled maintenance mode and tried to open home page.

I got 500 Error.

From Logs, I saw this:

AH01071: Got error 'PHP message: PHP Fatal error: Interface 'OCP\\Files\\External\\Config\\IBackendProvider' not found in /var/www/vhosts/quantumen-host.com/cs.quantumen-host.com/apps/files_external_ftp/lib/AppInfo/Application.php on line 30\n'

Do you think I can fix this or should I start uploading 100GB again? :slight_smile:

Cheers

Edit:

I have renamed files_external_ftp folder in Apps and later I could see the main page with a screen saying upgrade to nextcloud 12.0.0 with a list of to be updated and deactivated plugins.

Unfortunately, later it said, Exception: Updates between multiple major versions and downgrades are unsupported


Migrating from ownCloud 10.x to NextCloud 12.x - or not, and if so, how?
#6

You should be good now, to migrate, from ownCloud 10.0.4 and lower to Nextcloud 12.0.4.


#7

Hi everyone,

I still get the error:

Initializing
Current version is 10.0.3.
Could not determine migration path to Nextcloud.

Does the migration tool really supports Owncloud 10.0.3?


#8

We enabled it now. Could you check again?


#9

Hi everyone,
I have oC 10.0.1 (‘version’ => ‘10.0.1.5’, - to be precise) and just tried the updater. I get a similar error:


Initializing
Current version is 10.0.1.
Could not determine migration path to Nextcloud.

The updater is meant to be enabled for all versions up to Oc 10.0.4, is that correct?
Cheers,
Antoine


#10

Correct. It was enabled about the time you tested, perhaps you can give it one more try? If it doesn’t work still, can you share exactly what version number you have in config.php?


#11

Good morning and thanks jospoortvliet
Just tried again (Thu 7 dec 2017, 08:10 UTC) and I still get the same error message:

Initializing
Current version is 10.0.1.
Could not determine migration path to Nextcloud.

Version number in config.php is:
'version' => '10.0.1.5',
Cheers,
Antoine


#12

Alas, I still cannot upgrade. In my config.php the version is 10.0.3.3.


#13

Same problem for me. I can’t migrate from owncloud 10.0.3.3 to nextcloud 12.0.4. The updater page tells Could not determine migration path to Nextcloud..


#14

Same goes for

‘version’ => ‘10.0.3.3’,

Initializing
Current version is 10.0.3.
Could not determine migration path to Nextcloud.

#15

Hi, same error here ‘version’ => ‘10.0.4.0’ :slight_smile:
Could not determine migration path to Nextcloud.


Migrating from ownCloud 10.x to NextCloud 12.x - or not, and if so, how?
#16

Hi all,
The problems with the migration tool for versions up to 10.0.4 seem to pop up in various threads.
I have started a new topic at: Migrating from ownCloud 10.x to NextCloud 12.x - or not, and if so, how?
Cheers


#17

Note that today, Morris told me he has fixed it - so really, it should work. And you already reported in the other thread that it works for you :smiley:


#18

I confirm the updated migration tool worked for me on 2018-01-10 to
migrate from ownCloud 10.0.1.5 to Nextcloud 12.0.4. Cheers, A